## 简介

### 项目介绍

为方便开发同事能够快速引入2D平面图相关模块、并针对自身项目进行二次开发遂提供此文档。
1. 引擎相关库采用的是面向对象编程；采用的是typeScript语言；
2. 引擎是基于canvas api封装以及开发的工具包、分为
 ```
    "@persagy-web/base",
    "@persagy-web/big",
    "@persagy-web/draw",
    "@persagy-web/graph",
    "@persagy-web/edit",
    "@persagy-web/big-edit",
 ```
 其中用于嵌入展示的相关类为
 ```
    "@persagy-web/base",
    "@persagy-web/big",
    "@persagy-web/draw",
    "@persagy-web/graph",
 ```
### 引擎包文件目录
 以下为各引擎包常用类（因为太多；部分不常用没有录入）；<br/>
 以此方便使用同事快速查找引用！
```
<!-- 总目录 -->
├─ @persagy-web
   ├─ base
   |  └─ SMouseEvent             鼠标事件类（派生用）
   ├─ draw
   |  |─ SBrush                  画刷（派生用）
   |  |─ SColor                  颜色（设置颜色用）
   |  |─ SGradient               过渡色
   |  |─ SFont                   文字
   |  └─ SPainter                绘制引擎
   ├─ big
   |  |─ ElementData             数据接口
   |  |─ Marker                  mark 类数据接口
   |  |─ Relation                关系型数据接口
   |  |─ Legend                  节点型数据几口
   |  |─ SPolylineItem           折线类
   |  |─ SItemFactory            工厂类
   |  |─ SParser                 解析类
   |  |─ SFloorParser            楼层解析器
   |  |─ SZoneParser             空间解析器
   |  |─ SIconTextItem           文本图标类
   |  |─ SItemStatus             图例状态接口
   |  |─ SPolygonItem            多边形类
   |  |─ SArrowItem              折线箭头类
   |  |─ SArrowPoly              多边形箭头类
   |  |─ getJsonz                获取楼层jsonz方法
   |  |─ unzip                   解压方法
   |  |─ SPipeItem               管道类
   |  └─  SEquipItem             设备类
   └─ graphy
      |─ SGraphItem              图例基类
      |─ SGraphScene             场景基类
      |─ SGraphView              视图层基类
      |─ SImageItem              图片类
      |─ STextItem               文本类
      |─ SImageShowType          图片展示类型接口
      |─ SLineStyle              线样式接口
      |─ SOrderSetType           图 z-order 类型
      |─ SGraphStyleItem         图例基类（派生用）
      |─ SGraphLineItem          直线类
      |─ SGraphCircleItem        圆类
      |─ SGraphRectItem          矩形类
      └─ Point                   点接口

```

::: warning
3. 如果项目中有相关派生类、强烈推荐用 typescript 开发、如不支持typescript 建议在开发中直接实时编译；
:::
::: danger
4. 本引擎尚未验证在 IE11 以及 IE11 以下的稳定性、暂不支持该兼容性。
:::
